# time.h File Reference

`#include <stddef.h>`

Include dependency graph for time.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | tm

## Typedefs

typedef unsigned long | clock_t
typedef unsigned long | time_t

## Functions

clock_t | clock ()
time_t | time (time_t *t)
double | difftime (time_t time1, time_t time0)
time_t | mktime (struct tm *timeptr)
char * | asctime (const struct tm *timeptr)
char * | ctime (const time_t *timep)
tm * | gmtime (const time_t *timep)
tm * | localtime (const time_t *timep)
size_t | strftime (char *s, size_t max, const char *format, const struct tm *tm)

## Typedef Documentation

typedef unsigned long clock_t

typedef unsigned long time_t

## Function Documentation

char* asctime | ( | const struct tm * | timeptr | ) |

clock_t clock | ( |  | ) |

char* ctime | ( | const time_t * | timep | ) |

double difftime | ( | time_t | time1,
|  | time_t | time0
| ) |

struct tm* gmtime | ( | const time_t * | timep | ) |

struct tm* localtime | ( | const time_t * | timep | ) |

time_t mktime | ( | struct tm * | timeptr | ) |

size_t strftime | ( | char * | s,
|  | size_t | max,
|  | const char * | format,
|  | const struct tm * | tm
| ) |

time_t time | ( | time_t * | t | ) |